<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage House State Pro
 * @since House State Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'house_state_pro_pagination', array(
	'title'               	=> esc_html__('Pagination','house-state-pro'),
	'description'         	=> esc_html__( 'Pagination section options.', 'house-state-pro' ),
	'panel'               	=> 'house_state_pro_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'house_state_pro_theme_options[pagination_enable]', array(
	'sanitize_callback' 	=> 'house_state_pro_sanitize_switch_control',
	'default'             	=> $options['pagination_enable'],
) );

$wp_customize->add_control( new House_State_Pro_Switch_Control( $wp_customize, 'house_state_pro_theme_options[pagination_enable]', array(
	'label'               	=> esc_html__( 'Pagination Enable', 'house-state-pro' ),
	'section'             	=> 'house_state_pro_pagination',
	'on_off_label' 			=> house_state_pro_switch_options(),
) ) );

// Site layout setting and control.
$wp_customize->add_setting( 'house_state_pro_theme_options[pagination_type]', array(
	'sanitize_callback'   	=> 'house_state_pro_sanitize_select',
	'default'             	=> $options['pagination_type'],
) );

$wp_customize->add_control( 'house_state_pro_theme_options[pagination_type]', array(
	'label'               	=> esc_html__( 'Pagination Type', 'house-state-pro' ),
	'section'             	=> 'house_state_pro_pagination',
	'type'                	=> 'select',
	'choices'			  	=> house_state_pro_pagination_options(),
	'active_callback'	  	=> 'house_state_pro_is_pagination_enable',
) );
