<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage House State Pro
 * @since House State Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'house_state_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','house-state-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'house-state-pro' ),
	'panel'               => 'house_state_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'house_state_pro_theme_options[sortable]', array(
	'default'			  => $options['sortable'],
	'sanitize_callback'   => 'house_state_pro_sanitize_sortable',
	'transport' => 'refresh',
) );

$wp_customize->add_control( new House_State_Pro_Customize_Sortable_Control ( $wp_customize, 'house_state_pro_theme_options[sortable]', array(
	'label'               => esc_html__( 'Sortable Homepage', 'house-state-pro' ),
	'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'house-state-pro' ),
	'section'             => 'house_state_pro_sortable',
	'type'                => 'sortable',
	'choices'			  => house_state_pro_sortable_sections(),
) ) );