<?php
// /**
//  * Demo Import.
//  *
//  * This is the template that includes all the other files for core featured of Theme Palace
//  *
//  * @package Theme Palace
//  * @subpackage House State Pro
//  * @since House State Pro 1.0.0
//  */


function house_state_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'house-state-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'house_state_pro_ctdi_plugin_page_setup' );


function house_state_pro_ctdi_import_files() {
    return array(
        array(
            'import_file_name'             => esc_html__( 'Pro', 'house-state-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/Pro/house-state-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/Pro/house-state-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/Pro/house-state-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/Pro/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'house-state-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/house-state-pro',
        ),
        array(
            'import_file_name'             => esc_html__( 'Shop', 'house-state-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/shop/house-state-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/shop/house-state-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/shop/house-state-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/shop/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'house-state-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/house-state-shop',
        ),
        array(
            'import_file_name'             => esc_html__( 'Magazine', 'house-state-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/magazine/house-state-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/magazine/house-state-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/magazine/house-state-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/magazine/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'house-state-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/house-state-magazine',
        ),
        array(
            'import_file_name'             => esc_html__( 'Business', 'house-state-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/business/house-state-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/business/house-state-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/business/house-state-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/business/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'house-state-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/house-state-business',
        ),
        array(
            'import_file_name'             => esc_html__( 'Dark', 'house-state-pro' ),
            'categories'                   => array( ),
            'local_import_file'            => get_template_directory() . '/assets/demo/dark/house-state-pro-all-content.xml',
            'local_import_widget_file'     => get_template_directory() . '/assets/demo/dark/house-state-pro-widgets.wie',
            'local_import_customizer_file' => get_template_directory() . '/assets/demo/dark/house-state-pro-customizer.dat',
            'import_preview_image_url'     => get_template_directory_uri() . '/assets/demo/dark/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'house-state-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/house-state-dark',
        ),
    );
}
add_filter( 'cp-ctdi/import_files', 'house_state_pro_ctdi_import_files' );



function house_state_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'house_state_pro_ctdi_after_import_setup' );

// add_action( 'cp-ctdi/enable_wp_customize_save_hooks', '__return_true' );